package com.zbkj.service.service.bcx;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.zbkj.common.model.bcx.BcxOrderRelation;
import com.zbkj.common.request.PageParamRequest;
import com.zbkj.common.response.bcx.BcxOrderRelationResponse;

import java.util.List;

/**
 * 主订单关系表 服务接口
 */
public interface BcxOrderRelationService extends IService<BcxOrderRelation> {

    BcxOrderRelation queryById(Integer id);

    List<BcxOrderRelationResponse> queryByOrderNo(String orderNo, Boolean isPlatOrderNo);

    PageInfo<BcxOrderRelation> queryPagedList(BcxOrderRelation request,
                                              PageParamRequest pageParamRequest);

    Boolean create(BcxOrderRelation bcxOrderRelation);

    Boolean update(BcxOrderRelation bcxOrderRelation);

    Boolean delete(Integer id);
}
